From: sujeet kumar <sujeetkr / gmail.com>
Subject: Re: How to make a browser in Ruby Tk
Date: Mon, 20 Jun 2005 16:51:07 +0900
Message-ID: <734fb92405062000511ea75167 / mail.gmail.com>
> 3)sh ./install.sh
> Now, ActiveTcl is installed at /usr/local/ActiveTcl
   (snip)
> 8) LD_LIBRARY_PATH=/usr/local/ActiveTcl8.5.0.0b3/lib:$LD_LIBRARY_PATH /usr/local/bin/irb 

That is a wrong path.
You installed ActiveTcl to "/usr/local/ActiveTcl".
So, you have to use 
LD_LIBRARY_PATH=/usr/local/ActiveTcl/lib:$LD_LIBRARY_PATH /usr/local/bin/irb 

> 9)since i installed ActiveTcl8.5.0.0b3.121397-linux-ix86
> but Tk::TK_PATCHLEVEL, gives "8.4.7"
> Is this mean I have ActiveTcl"8.4.7" installed?

Probably, that is FC3's Tcl/Tk packages.

> What sould I do?

If you fail to load ActiveTcl's libraries instead of FC3's 
libraries (even if you use the right LD_LIBRARY_PATH), 
you maybe have to remove FC3's Tcl/Tk packages or add 
/usr/local/ActiveTcl/lib to /etc/ld.so.conf with 
higher priority than FC3's library path.
-- 
Hidetoshi NAGAI (nagai / ai.kyutech.ac.jp)